<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}


function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var id_reseller=document.getElementById("id_reseller").value;
var description=document.getElementById("description").value;
var clienttype=document.getElementById("clienttype").value;
var limit=document.getElementById("limit").value;


if(id_reseller=="")
id_reseller = "NULL";


if(description=="")
description = "NULL";

if(clienttype=="")
clienttype = "NULL";



var url = "<?=site_url("client/lotsNameListPagi")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(id_reseller) + "/" + escape(description) + "/" + escape(clienttype) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchLotsName()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }



var id_reseller=document.getElementById("id_reseller").value;
var description=document.getElementById("description").value;
var clienttype=document.getElementById("clienttype").value;
var limit=document.getElementById("limit").value;

var startoffset=0;

if(id_reseller=="")
id_reseller = "NULL";


if(description=="")
description = "NULL";

if(clienttype=="")
clienttype = "NULL";


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("client/lotsNameListPagi")?>";
var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(id_reseller) + "/" + escape(description) + "/" + escape(clienttype) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}





</script>



<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <div class="quickmenu">
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="<?=site_url('client/addFormLotsName')?>">Add New Lots</a>
                  </div>

                  <span>&nbsp;&nbsp;&raquo;</span> <?=TITLE065?>  <span style='color:#BF0000'><?=$titleErrorMessage?> </span>  </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">Reseller :</td>
    <td align="left">
    <select name="id_reseller" id="id_reseller" class = "selectFrom">
	 <?=$resellerLevel1List?>
    </select>
    </td>

    <td align="right">Description :</td>
    <td align="left"><input type="text" class = "formInput" name="description" id="description" value="" style="width:170px"/></td>


    <td align="right">Type :</td>
    <td align="left">
    <select name="clienttype" id="clienttype" style="width:130px" class = "selectFrom">
	 <option value=""> -- Select One --</option>
	 <option value="<?=SIP_USER?>">Retail Client</option>
	 <option value="<?=ANI_USER?>">Calling Card Client</option>
    </select>
    </td>


    <td align="right">Records :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" style="width:50px" onchange="searchLotsName();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchLotsName();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> Lots Name List Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="38%"><div align="left" style="padding-left:5px;">Lots Name</div></td>
     <td width="10%"><div align="left" style="padding-left:5px;">Type</div></td>
     <td width="12%"><div align="left" style="padding-left:5px;">Reseller</div></td>
     <td width="6%"><div align="center" style="padding-left:5px;">NumPin</div></td>
     <td width="12%"><div align="left" style="padding-left:5px;">Date</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Actived</div></td>
     <td width="6%"><div align="center" style="padding-left:5px;">Inactived</div></td>
     <td width="5%"><div align="center" style="padding-left:5px;">Export</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Del</div></td>
   </tr>



<?
$i=1;
if(is_array($lotsNameList))
{
foreach($lotsNameList as $row)
{
$passid =$i;


if($row->clienttype == SIP_USER)
$type = "GK Register Client";
else
$type = "IVR Client";

$parent = $this->generallib->getResellerLogin($row->id_reseller,1);





?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->description?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$type?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$parent?></td>
 <td align=center class="tableBorderAll" style="padding-left:5px;"><?=$row->numpin?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->creationdate?></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;">
 <a href="<?=site_url('client/activeLot/'.$row->lot_id.'/'.$row->clienttype)?>" onclick="return confirm('Do you really want to active this Lot')" title="Active Lot">
 <img src="<?=base_url()?>images/active.gif" border="0" height="18">
 </a>
 </td>
 <td align=center class="tableBorderAll" style="padding-left:0px;">
 <a href="<?=site_url('client/inactiveLot/'.$row->lot_id.'/'.$row->clienttype)?>" onclick="return confirm('Do you really want to deactive this Lot')" title="Inactive Lot">
 <img src="<?=base_url()?>images/inactive.gif" border="0" height="18">
 </a>
 </td>

 <td align=center class="tableBorderAll" style="padding-left:0px;">
   <a href="<?=site_url('client/exportLot/'.$row->lot_id.'/'.$row->clienttype)?>" title="Export" >
   <img src="<?=base_url()?>images/exprot.gif" border="0" height="18">
   </a>
 </td>

 <td align=center  style="padding-left:0px;">
  <a href="<?=site_url('client/deleteLot/'.$row->lot_id.'/'.$row->clienttype)?>"  onclick="return confirm('Do you really want to remove this Lot')" title="Delete" >
  <img src="<?=base_url()?>images/remove.png" border="0" height="16">
  </a>
 </td>

   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="id_reseller" id="id_reseller" value="<?=$id_reseller?>" />
	<input type="hidden" name="description" id="description" value="<?=$description?>" />
	<input type="hidden" name="clienttype" id="clienttype" value="<?=$clienttype?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />


<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
